Bug 1267962 (CVE-2015-8326) - CVE-2015-8326 perl-IPTables-Parse: Use of predictable names for temporary files
Summary: CVE-2015-8326 perl-IPTables-Parse: Use of predictable names for temporary files
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-8326
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1284922 (view as bug list)
Depends On: 1267965 1267963 1267964
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-01 13:14 UTC by Adam Mariš
Modified: 2019-09-29 13:37 UTC (History)
5 users (show)

Fixed In Version: IPTables-Parse 1.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:43:48 UTC


Attachments (Terms of Use)

Description Adam Mariš 2015-10-01 13:14:22 UTC
A vulnerability in perl-IPTables-Parse was found, when using predictable file names for its temporary files. This vulnerability allows attacker on a multi-user system to set up symlinks to overwrite any file the current user has write access to.

Note that perl-IPTables-Parse is also used by fwsnort and perl-IPTables-ChainMgr, which is used by psad.

Upstream patch:

https://github.com/mtrmac/IPTables-Parse/commit/b400b976d81140f6971132e94eb7657b5b0a2b87

Comment 1 Adam Mariš 2015-10-01 13:15:11 UTC
Created perl-IPTables-Parse tracking bugs for this issue:

Affects: fedora-all [bug 1267963]
Affects: epel-5 [bug 1267964]
Affects: epel-6 [bug 1267965]

Comment 2 Fedora Update System 2015-11-19 10:01:56 UTC
perl-IPTables-Parse-1.5-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-11-19 12:23:00 UTC
perl-IPTables-Parse-1.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-11-20 23:24:38 UTC
perl-IPTables-Parse-1.5-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Martin Prpič 2015-11-24 13:49:22 UTC
*** Bug 1284922 has been marked as a duplicate of this bug. ***

Comment 6 Martin Prpič 2015-11-24 13:50:20 UTC
CVE request:

http://seclists.org/oss-sec/2015/q4/366

Comment 7 Adam Mariš 2015-11-25 11:02:52 UTC
Acknowledgments:

This issue was discovered by Miloslav Trmač of Red Hat.

Comment 8 Product Security DevOps Team 2019-06-08 02:43:48 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.